Bug 1538763 (CVE-2017-15133) - CVE-2017-15133 miekg-dns: Denial of service via TCP serving code
Summary: CVE-2017-15133 miekg-dns: Denial of service via TCP serving code
Status: CLOSED WONTFIX
Alias: CVE-2017-15133
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,reported=20180111,sou...
Keywords: Security
Depends On: 1539695 1539696
Blocks: 1538765
TreeView+ depends on / blocked
 
Reported: 2018-01-25 18:54 UTC by Pedro Sampaio
Modified: 2019-06-11 11:13 UTC (History)
9 users (show)

(edit)
A denial of service flaw was found in miekg-dns before 1.0.4. A remote attacker could use carefully timed TCP packets to block the DNS server from accepting new connections.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:38:16 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-01-25 18:54:06 UTC
A flaw was found in miekg-dns before 1.0.4. A flaw in the TCP serving code may completely block the DNS server from answering any TCP queries with a
very small number of open connections.

Upstream bug:

https://github.com/miekg/dns/issues/627

Upstream patch:

https://github.com/miekg/dns/pull/631

Comment 1 Pedro Sampaio 2018-01-25 18:54:12 UTC
Acknowledgments:

Name: the miekg-dns project

Comment 2 Pedro Sampaio 2018-01-29 13:15:55 UTC
Created golang-github-miekg-dns tracking bugs for this issue:

Affects: epel-6 [bug 1539696]
Affects: fedora-all [bug 1539695]


Note You need to log in before you can comment on or make changes to this bug.